﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="imap._Default" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">
    <section class="featured">
        <div class="content-wrapper"></div>
    </section>
</asp:Content>
<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <div id="map"></div>
    <input type="button" id="btn" value="Add Stockholm" />
    <script type="text/javascript">
        var europeCapitals = [
        { "Name": "Copenhagen", "Lat": 55.676111, "Lon": 12.56833 },
        { "Name": "London", "Lat": 51.507222, "Lon": -0.1275 },
        { "Name": "Paris", "Lat": 48.8567, "Lon": 2.3508 },
        { "Name": "Madrid", "Lat": 40.4, "Lon": -3.683333 }];

        var igOffices = [
        { "Name": "Infragistics Europe", "Country": "England", "Latitude": 51.53554, "Longitude": -0.45306 },
        { "Name": "Infragistics Bulgaria Development Lab", "Country": "Bulgaria", "Latitude": 42.641262, "Longitude": 23.334461 }
        ];

        $.ig.loader({
            scriptPath: './Scripts//js/',
            cssPath: './Content/css/',
            resources: 'igMap'
        });

        $.ig.loader(function () {
            $("#map").igMap({
                width: "100%",
                crosshairVisibility: "visible",
                verticalZoomable: true,
                horizontalZoomable: true,
                overviewPlusDetailPaneVisibility: "visible",
                panModifier: "control",
                backgroundContent: {
                    type: "openStreet"
                },
                series: [{
                    type: "geographicSymbol",
                    name: "capitals",
                    dataSource: europeCapitals,
                    latitudeMemberPath: "Lat",
                    longitudeMemberPath: "Lon",
                    markerType: "automatic",
                    markerBrush: "#FF0000",
                    markerOutline: "#00FF00"
                },
                {
                    type: "geographicSymbol",
                    name: "igOffices",
                    dataSource: igOffices,
                    latitudeMemberPath: "Latitude",
                    longitudeMemberPath: "Longitude",
                    markerType: "automatic",
                    markerBrush: "#000000",
                    markerOutline: "#00FFFF"
                }],
                windowResponse: "immediate",
                seriesMouseLeftButtonUp: function (evt, ui) {
                    alert(ui.item.Name);
                }
            });
        });

        $("#btn").click(function () {
            $("#map").igMap("addItem", { "Name": "Stockholm", "Lat": 59.329444, "Lon": 18.068611 }, "capitals");
        });
    </script>
    
</asp:Content>
